Last Comment Bug 681740 - pyxpidl doesn't properly resolve const names
: pyxpidl doesn't properly resolve const names
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: mozilla9
Assigned To: Joshua Cranmer [:jcranmer]
:
Mentors:
Depends on:
Blocks: 681720
  Show dependency treegraph
 
Reported: 2011-08-24 13:23 PDT by Joshua Cranmer [:jcranmer]
Modified: 2011-08-28 05:58 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Resolve the name recursively (14.56 KB, patch)
2011-08-25 09:38 PDT, Joshua Cranmer [:jcranmer]
benjamin: review+
Details | Diff | Review

Description Joshua Cranmer [:jcranmer] 2011-08-24 13:23:47 PDT
http://dxr.mozilla.org/comm-central/comm-central/calendar/providers/wcap/public/calIWcapErrors.idl.html#l45

WCAP_ERROR_BASE is defined in the superinterface, but it causes a name resolution error in wcap.

Also blocking switching to pyxpidl in c-c.
Comment 1 Joshua Cranmer [:jcranmer] 2011-08-25 09:38:50 PDT
Created attachment 555758 [details] [diff] [review]
Resolve the name recursively

This seems about the best approach to me.
Comment 2 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2011-08-28 05:58:18 PDT
http://hg.mozilla.org/mozilla-central/rev/844bfd249e6a

Note You need to log in before you can comment on or make changes to this bug.